CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.com] Problem installing v1806

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By jormollo

Reply
 
LinkBack Thread Tools Display Modes
Old   October 5, 2018, 04:21
Default Problem installing v1806
  #1
New Member
 
Jorge Molines
Join Date: Oct 2012
Posts: 9
Rep Power: 8
jormollo is on a distinguished road
Hi!


I was working nicely with OpenFOAM v1706 but I tried to move to v1806 and I have some errors. When I write source ~/OpenFOAM/OpenFOAM-v1806/etc/bashrc I obtain the following error:


No completion added for /home/jorge/OpenFOAM/OpenFOAM-v1806/platforms/linux64GccDPInt32Opt/bin
... incorrect platform, or not yet compiled?


Although the error, I made the installation by adding to the bashrc the line source ~/OpenFOAM/OpenFOAM-v1806/etc/bashrc and I obtained a critical error:


Software Version Location
-------------------------------------------------------------------------------
flex 2.6.0 /usr/bin/flex
gcc 5.4.0 /usr/bin/gcc
g++ 5.4.0 /usr/bin/g++
gzip 1.6 /bin/gzip
tar 1.28 /bin/tar
icoFoam *** not installed ***
CRITICAL ERROR

-------------------------------------------------------------------------------


Summary
-------------------------------------------------------------------------------
Base configuration ok.
The foam installation contains 1 critical error(s).

Review the output for warning messages and consult
the installation guide for troubleshooting.

Done



Finally, if I try to run any case such as Pitzdaily, OpenFOAM does not recognize any of the orders such as blockMesh, setFields....
Could anyone help me?

Thanks in advance
jormollo is offline   Reply With Quote

Old   October 7, 2018, 07:50
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,465
Blog Entries: 41
Rep Power: 115
wyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of lightwyldckat is a glorious beacon of light
Greetings jormollo,

Requests so that anyone can try and help you with this:
  1. Please specify which installation instructions you are following.
  2. Please indicate which Linux Distribution you are using or which other Operating System you are using.
  3. Please indicate any steps that you did differently from the instructions you've followed, if you did anything different.
Most people are only to help when they pass by the forum on their free time, so if you don't first describe how you got to this point, it's not possible for people to be able help you as fast as possible... for example, I look into the forum around once each weekend, so only next weekend I might be able to look into your next post

For future questions, please keep in mind the instructions given on this thread: How to give enough info to get help

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Old   October 10, 2018, 10:48
Default
  #3
New Member
 
Jorge Molines
Join Date: Oct 2012
Posts: 9
Rep Power: 8
jormollo is on a distinguished road
Thanks Bruno, I will keep yout recommendations in mind. Answering to your questions:

1. I was following the instructions provided at www.openfoam.com (both for the pre-requisites and the build guide).
2. The version of Ubuntu is 16.04 in a Virtual Machine VM VirtualBox
3. I did not change any of the instructions.

I was struggling more and more and finally I succesfully installed OpenFoam 1806 in Ubuntu 18.04.
When I first tried the installation on Ubuntu 18.04 with only 1GB of RAM, I could not install OpenFOAM 1806 (I had exactly the same problem as in Ubuntu 16.04).
However, when I put 2GB of RAM, the installation was succesfully completed.

Regards,
Jorge.
wyldckat likes this.
jormollo is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem in installing OpenFOAM 2.3.0 !!! omid20110 OpenFOAM Installation 6 August 1, 2016 12:20
[swak4Foam] foam-extend-3.2 installing problem: swak4Foam failed to install due to Bison lxwd OpenFOAM Community Contributions 1 March 20, 2016 17:03
Problem with installing OpenFOAM 2.0.X mohsen.boojari OpenFOAM Installation 3 February 3, 2016 12:41
Problem installing OpenFOAM-1.6-ext on Ubuntu 14.04 afrotimy OpenFOAM Installation 4 October 4, 2014 12:36
Problem in installing OpenFOAM-ParaView-0.1.1-1.x86_64 hassan5565 OpenFOAM Installation 1 August 5, 2014 14:05


All times are GMT -4. The time now is 17:15.